@import '../func/color';
@import '../func/depth';
@import '../mixin/bem';
@import '../mixin/positioning';
@import '../mixin/sizing';
@import '../mixin/spacing';
@import '../mixin/typography';
@import '../variables/theme';

.overlay {
  @include absolute(0);

  z-index: z(splash_screen);
  display: block;
  background: mat-color($primary--light);
}

.splash_screen {
  @include absolute(50% null null 50%);
  @include font(#{$h1}/#{rem(9.6)} $font--preferred, c(white));

  display: block;
  width: rem(38);
  text-align: center;
  transform: translateX(-50%) translateY(-50%);
}
